Bug 1832762 - OpenShift API Server must use an image with golang 1.13 for local development
Summary: OpenShift API Server must use an image with golang 1.13 for local development
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-apiserver
Version: 4.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.4.z
Assignee: Lukasz Szaszkiewicz
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On: 1832757
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-07 09:07 UTC by Lukasz Szaszkiewicz
Modified: 2020-06-17 22:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1832757
Environment:
Last Closed: 2020-06-17 22:26:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift openshift-apiserver pull 104 None closed Bug 1832762: updates Dockerfile.rhel to golang 1.13 and ocp:4.4 2020-06-15 08:40:15 UTC
Red Hat Product Errata RHBA-2020:2445 None None None 2020-06-17 22:26:25 UTC

Description Lukasz Szaszkiewicz 2020-05-07 09:07:32 UTC
+++ This bug was initially created as a clone of Bug #1832757 +++

https://github.com/openshift/openshift-apiserver/blob/master/images/Dockerfile.rhel must point to the current base image and golang 1.13

--- Additional comment from Lukasz Szaszkiewicz on 2020-05-07 09:01:51 UTC ---

@Xingxing please move to VERIFY as the current muster uses ocp/4.5 as a base image and golang 1.13

Comment 1 Lukasz Szaszkiewicz 2020-05-20 08:32:42 UTC
This bug is actively worked on.

Comment 4 Ke Wang 2020-06-05 02:35:41 UTC
Verified with OCP build 4.4.0-0.nightly-2020-06-03-225439, the go version used 1.13.4.

$ oc version -o yaml
clientVersion:
  buildDate: "2020-05-18T19:03:45Z"
  compiler: gc
  gitCommit: 67da73a6d0049d70c5a53743d5a844fc008f7d5d
  gitTreeState: clean
  gitVersion: 4.5.0-202005181857-67da73a
  goVersion: go1.13.4
  major: ""
  minor: ""
  platform: linux/amd64
openshiftVersion: 4.4.0-0.nightly-2020-06-03-225439
serverVersion:
  buildDate: "2020-06-01T19:56:08Z"
  compiler: gc
  gitCommit: f5fb168
  gitTreeState: clean
  gitVersion: v1.17.1+f5fb168
  goVersion: go1.13.4
  major: "1"
  minor: 17+
  platform: linux/amd64

Comment 6 errata-xmlrpc 2020-06-17 22:26:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2445


Note You need to log in before you can comment on or make changes to this bug.